#pragma once

namespace ls {
  class Window;
}

#include "glfw.hpp"
#include "vulkan.hpp"

namespace ls {
  class Window {
    public:
      Window(GlfwState* glfw_state);
      ~Window();
      void show();
      void set_title(const std::string title);
      void init_surface(VulkanState* vulkan_state);
      GlfwWindow* __get_native();
    private:
      GlfwWindow* __window;
      VkSurfaceKHR __surface;
  };
}
